openapi: 3.0.0
info:
  title: Catalyst
  version: 1.0.0
servers:
  # Added by API Auto Mocking Plugin
  - description: SwaggerHub API Auto Mocking
    url: https://catalystapi.intelligens.in/userapi/user-v1
    description: userHost
  - url: https://catalystapi.intelligens.in/pageapi/page-v1
    description: authHost
  - url: https://catalystapi.intelligens.in/feedapi/feed-v1
    description: feedHost
  - url: https://catalystapi.intelligens.in/socialapi/social-v1
    description: socailHost
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
    noauthAuth:
      type: http
      scheme: noauth
tags:
  - name: User
  - name: User > Questions
  - name: User > Topics
  - name: UploadImg
  - name: User Goal
  - name: page-content
  - name: page-content > Configurations
  - name: Report & Contact Us
  - name: Social-service
  - name: Social-service > Events
  - name: Social-service > Resources
  - name: Social-service > officials
  - name: Feed
  - name: Notification
  - name: activity
  - name: userStep
  - name: subAdminChanges
paths:
  /questions:
    post:
      tags:
        - User > Questions
      summary: create question only admin
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                title: What kind of resources are you looking for 123111?
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /questions/3622477766905856:
    delete:
      tags:
        - User > Questions
      summary: delete question only admin
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /questions/:
    get:
      tags:
        - User > Questions
      summary: GetQuestions
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /questionsTopics/5:
    patch:
      tags:
        - User > Questions
      summary: question update only admin
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                question: How do you prefer to participate in activism?
                deletedTopics: []
                newTopics:
                  - 4
                  - 10
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /questionsTopics:
    post:
      tags:
        - User > Questions
      summary: Option create only admin
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                question: How do you prefer to participate in activism?
                topicId:
                  - 2
                  - 3
                  - 1
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /questionsTopics/28:
    delete:
      tags:
        - User > Questions
      summary: Option delete
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /questionsOptions/:
    patch:
      tags:
        - User > Questions
      summary: Option Update
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                questionId: '1'
                topicId:
                  - 2
                  - 3
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /interest:
    get:
      tags:
        - User > Questions
      summary: interest
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /topic:
    post:
      tags:
        - User > Topics
      summary: create Topic only admin
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                title: test
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /topic/3623757990547456:
    delete:
      tags:
        - User > Topics
      summary: delete topic only admin
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /topic/:
    get:
      tags:
        - User > Topics
      summary: GetTopics
      security:
        - noauthAuth: []
      parameters:
        - name: status
          in: query
          schema:
            type: string
          example: all
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /topic/3622141906087936:
    patch:
      tags:
        - User > Topics
      summary: topics update only admin
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              properties:
                title:
                  type: string
                  example: Protests11
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /signup:
    post:
      tags:
        - User
      summary: Singup Copy
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                email: lalit6@gmail.com
                fullName: lalit6
                userName: lalit6
                password: qwerty
                deviceType: email
                userImage: 123321.png
                deviceId: 1e48cdd3e8e5e0124
                notificationId: 914f544f-8fba-4d42-9c03-7c733b99f555522
                apiVersion: '2.3'
                buildNumber: '10'
                userType: user
                question:
                  - questionId: 1
                    option:
                      - 1
                interestRating:
                  - optionId: 1
                    rating: 5
      parameters:
        - name: Accept-Language
          in: header
          schema:
            type: string
          example: '{{language}}'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /all/user/:
    get:
      tags:
        - User
      summary: All User List
      security:
        - bearerAuth: []
      parameters:
        - name: Accept-Language
          in: header
          schema:
            type: string
          example: '{{language}}'
        - name: usertype
          in: query
          schema:
            type: string
          example: subadmin
        - name: limit
          in: query
          schema:
            type: integer
          example: '10'
        - name: offset
          in: query
          schema:
            type: integer
          example: '0'
        - name: orderBy
          in: query
          schema:
            type: string
          example: name
        - name: orderType
          in: query
          schema:
            type: string
          example: asc
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /profile:
    patch:
      tags:
        - User
      summary: Update - Personal Profile
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                gender: male
                userName: lalit100
                age: '34'
                name: jhon_10
                zipcode: '452010'
                about: This is my first profile check it and update me
                incarcerated: Ant
                metStatus: Before incarcerated
                facility: Daphne City Jail
                occuption: program
                releaseYear: '1987'
                supportedArea: Mental
                supportedYear: '1999'
                musicGenre: Hip Pop,Jazz
                favMovie: Adventure,Horror
                zodiacSign: Aries
                favFood: Seefood
                favColor: Red,Green,Black
                userImage: 123321.png
      security:
        - bearerAuth: []
      parameters:
        - name: Accept-Language
          in: header
          schema:
            type: string
          example: '{{language}}'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /profile/:
    get:
      tags:
        - Social-service > officials
      summary: officials detail by  userid
      security:
        - bearerAuth: []
      parameters:
        - name: Accept-Language
          in: header
          schema:
            type: string
          example: '{{language}}'
        - name: userId
          in: query
          schema:
            type: integer
          example: '3612338733445120'
        - name: usertype
          in: query
          schema:
            type: string
          example: officials
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /users/XqgRysdgYRVfD643t7y8PZLjlzk2:
    get:
      tags:
        - User
      summary: profile detail - Not use it
      security:
        - bearerAuth: []
      parameters:
        - name: Accept-Language
          in: header
          schema:
            type: string
          example: '{{language}}'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /removeUser:
    delete:
      tags:
        - Social-service > officials
      summary: Removeofficials
      security:
        - bearerAuth: []
      parameters:
        - name: Accept-Language
          in: header
          schema:
            type: string
          example: '{{language}}'
        - name: userId
          in: query
          schema:
            type: integer
          example: '3557659910709248'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /all/user/3537717586018304:
    put:
      tags:
        - User
      summary: UserStatusUpdate-Admin
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                status: active
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /profileInterest:
    patch:
      tags:
        - User
      summary: ProfileInterest
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                interest:
                  - title: Art
                  - title: Health
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /deleteUser/:
    delete:
      tags:
        - User
      summary: Delete user
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /userInterest:
    put:
      tags:
        - User
      summary: userQuestion create
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                question:
                  - questionId: 1
                    steps: 1
                    option:
                      - 2
                      - 3
                    other: newquestion
                  - questionId: 2
                    steps: 2
                    option:
                      - 1
                      - 4
                    other: newTopic
                interestRating:
                  - optionId: 1
                    rating: 2
                    questionId: 1
                metaInfo:
                  - lat: 22.75894
                    long: 75.891418
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /all/userCount:
    get:
      tags:
        - User
      summary: Dashboard Count
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /uploadUrl:
    post:
      tags:
        - UploadImg
      summary: UploadUrl
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              properties:
                fileName:
                  type: string
                  example: temp/couple.jpeg
                fileType:
                  type: string
                  example: image/jpeg
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /goals:
    post:
      tags:
        - User Goal
      summary: make-goals
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              properties:
                title:
                  type: string
                  example: my first goal
                description:
                  type: string
                  example: dfdfdf
                type:
                  type: string
                  example: private
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
    get:
      tags:
        - User Goal
      summary: goal-list
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /goals/3571935462641664:
    patch:
      tags:
        - User Goal
      summary: goal-update
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              properties:
                title:
                  type: string
                  example: Namaste
                description:
                  type: string
                  example: india
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /goals/3614719942348800:
    delete:
      tags:
        - User Goal
      summary: delete-goal
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /configuration:
    patch:
      tags:
        - subAdminChanges
      summary: configuration
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              properties:
                language:
                  type: string
                  example: ar
                information:
                  type: string
                  example: >-
                    {"point_reels":11,"personal":25,"eductation":44,"experiences":41,"other":22,"referral":10,"shared":25}
      security:
        - bearerAuth: []
      parameters:
        - name: Accept-Language
          in: header
          schema:
            type: string
          example: '{{language}}'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
    get:
      tags:
        - subAdminChanges
      summary: Get Configuratioins
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /contents/:
    post:
      tags:
        - page-content
      summary: content-create
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              properties:
                title:
                  type: string
                  example: arebian Contents
                content:
                  type: string
                  example: arbian Contents
                type:
                  type: string
                  example: privacy_policy
                language:
                  type: string
                  example: en
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
    get:
      tags:
        - page-content
      summary: contente-detail_by_type
      security:
        - bearerAuth: []
      parameters:
        - name: type
          in: query
          schema:
            type: string
          example: privacy_policy
        - name: language
          in: query
          schema:
            type: string
          example: en
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /content-all:
    get:
      tags:
        - page-content
      summary: content-All
      parameters:
        - name: language
          in: query
          schema:
            type: string
          example: en
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /contents/3614376118456320:
    get:
      tags:
        - page-content
      summary: content-detail
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /contents/3616896592207872:
    put:
      tags:
        - page-content
      summary: content-update
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              properties:
                title:
                  type: string
                  example: english Contentsss
                content:
                  type: string
                  example: english Contents
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /helpSupport:
    post:
      tags:
        - page-content
      summary: HelpSupport
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                email: test@ideal.com
                description: This is only test description
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
    get:
      tags:
        - page-content
      summary: helpSupport List
      parameters:
        - name: orderType
          in: query
          schema:
            type: string
          example: desc
        - name: orderBy
          in: query
          schema:
            type: string
          example: title
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /report:
    post:
      tags:
        - Report & Contact Us
      summary: report
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              properties:
                actionId:
                  type: integer
                  example: '3615773250084864'
                reasonId:
                  type: integer
                  example: '5'
                type:
                  type: string
                  example: post
                description:
                  type: string
                  example: wrong post
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /user/report/:
    get:
      tags:
        - Report & Contact Us
      summary: user report list
      security:
        - bearerAuth: []
      parameters:
        - name: limit
          in: query
          schema:
            type: integer
          example: '10'
        - name: offset
          in: query
          schema:
            type: integer
          example: '0'
        - name: orderBy
          in: query
          schema:
            type: string
          example: name
        - name: orderType
          in: query
          schema:
            type: string
          description: ASC/DESC
          example: DESC
        - name: type
          in: query
          schema:
            type: string
          example: user
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /feedsreport/:
    get:
      tags:
        - Report & Contact Us
      summary: post report list
      security:
        - noauthAuth: []
      parameters:
        - name: limit
          in: query
          schema:
            type: integer
          example: '10'
        - name: offset
          in: query
          schema:
            type: integer
          example: '0'
        - name: orderBy
          in: query
          schema:
            type: string
          example: description
        - name: orderType
          in: query
          schema:
            type: string
          description: ASC/DESC
          example: DESC
        - name: type
          in: query
          schema:
            type: string
          example: post
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /user/unFlagged/3618521136287744:
    put:
      tags:
        - Report & Contact Us
      summary: user-unflagged
      requestBody:
        content: {}
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /feed/unFlagged/3618521136287744:
    put:
      tags:
        - Report & Contact Us
      summary: feed-unflagged
      requestBody:
        content: {}
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /contactUs/:
    post:
      tags:
        - Report & Contact Us
      summary: contactUs
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                title: atestdsd
                description: This is only test description
      security:
        - bearerAuth: []
      parameters:
        - name: Accept-Language
          in: header
          schema:
            type: string
          example: '{{language}}'
        - name: Authorization
          in: header
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /contactUs:
    get:
      tags:
        - Report & Contact Us
      summary: contactUs List
      security:
        - bearerAuth: []
      parameters:
        - name: orderType
          in: query
          schema:
            type: string
          example: desc
        - name: orderBy
          in: query
          schema:
            type: string
          example: title
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /events:
    post:
      tags:
        - Social-service > Events
      summary: Create Event
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                title: newEvent92322
                description: Majorie Edwards
                lat: li333332.2222
                long: li333332.2222
                eventImg: 123321.png
                topics:
                  - '6'
                  - '7'
                  - '8'
                type: public
                eventTime: 11am
                eventDate: '2024-08-12'
                keyPhrases: test
                eventAgenda: test
                speakers: test
                materials: test
      security:
        - bearerAuth: []
      parameters:
        - name: Accept-Language
          in: header
          schema:
            type: string
          example: '{{language}}'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /events/3613104664158202:
    put:
      tags:
        - Social-service > Events
      summary: Update Event
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                status: suspend
      security:
        - bearerAuth: []
      parameters:
        - name: Accept-Language
          in: header
          schema:
            type: string
          example: '{{language}}'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /events/:
    get:
      tags:
        - Social-service > Events
      summary: Get Events
      security:
        - bearerAuth: []
      parameters:
        - name: Accept-Language
          in: header
          schema:
            type: string
          example: '{{language}}'
        - name: type
          in: query
          schema:
            type: string
          example: global
        - name: limit
          in: query
          schema:
            type: integer
          example: '50'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /recommendedEvent:
    get:
      tags:
        - Social-service > Events
      summary: recommendedEvent
      security:
        - bearerAuth: []
      parameters:
        - name: Accept-Language
          in: header
          schema:
            type: string
          example: '{{language}}'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /events/3613104664158201:
    delete:
      tags:
        - Social-service > Events
      summary: Remove Events
      security:
        - bearerAuth: []
      parameters:
        - name: Accept-Language
          in: header
          schema:
            type: string
          example: '{{language}}'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /eventRsvp/:
    post:
      tags:
        - Social-service > Events
      summary: Create RSVP
      requestBody:
        content: {}
      security:
        - bearerAuth: []
      parameters:
        - name: Accept-Language
          in: header
          schema:
            type: string
          example: '{{language}}'
        - name: id
          in: query
          schema:
            type: integer
          example: '3621205517901824'
        - name: status
          in: query
          schema:
            type: string
          example: interested
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /events/saveUnsaved/:
    post:
      tags:
        - Social-service > Events
      summary: Event-saved-unsaved
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              properties:
                id:
                  type: integer
                  example: '3621219006840832'
                isSave:
                  type: integer
                  example: '1'
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /events/save/:
    get:
      tags:
        - Social-service > Events
      summary: Get my saved events
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /eventsCount/:
    get:
      tags:
        - Social-service > Events
      summary: Total events
      security:
        - noauthAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /resources:
    post:
      tags:
        - Social-service > Resources
      summary: Create Resources
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                sourceUrl: https://www.youtube.com/watch?v=DiuyizDxLMU
      security:
        - bearerAuth: []
      parameters:
        - name: Accept-Language
          in: header
          schema:
            type: string
          example: '{{language}}'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
    get:
      tags:
        - Social-service > Resources
      summary: Recommended Resources
      security:
        - bearerAuth: []
      parameters:
        - name: Accept-Language
          in: header
          schema:
            type: string
          example: '{{language}}'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /resources/3613260687527936:
    put:
      tags:
        - Social-service > Resources
      summary: Update Resource
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                status: inactive
      security:
        - bearerAuth: []
      parameters:
        - name: Accept-Language
          in: header
          schema:
            type: string
          example: '{{language}}'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /resources/3613262930501632:
    delete:
      tags:
        - Social-service > Resources
      summary: Remove Resources
      security:
        - bearerAuth: []
      parameters:
        - name: Accept-Language
          in: header
          schema:
            type: string
          example: '{{language}}'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /resources/saveUnsaved/:
    post:
      tags:
        - Social-service > Resources
      summary: resoruce-saved-unsaved
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              properties:
                id:
                  type: integer
                  example: '70'
                isSave:
                  type: integer
                  example: '1'
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /resources/save/:
    get:
      tags:
        - Social-service > Resources
      summary: Get my saved resources
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /officials/:
    post:
      tags:
        - Social-service > officials
      summary: officials
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                email: mik1e2@gmail.com
                fullName: mike2 Edwards
                procession: The Consitutional Firm
                website: www.google.com
                descripiton: Family Lawyer, Alaska
                mobile: +1564-5467-345
                expirence: 10 year in Business
                userImage: 123321.png
                address: Wisconsin, USA
                lat: '44.500000'
                long: '-89.500000'
                userType: officials
      security:
        - bearerAuth: []
      parameters:
        - name: Accept-Language
          in: header
          schema:
            type: string
          example: '{{language}}'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
    put:
      tags:
        - Social-service > officials
      summary: Update officials
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                email: mik1e2@gmail.com
                fullName: mike2 Edwards
                procession: The Consitutional Firm
                website: www.google.com
                descripiton: Family Lawyer, Alaska
                mobile: +1564-5467-345
                expirence: 10 year in Business
                userImage: 123321.png
                address: Wisconsin, USA
                lat: '44.500000'
                long: '-89.500000'
                userType: officials
      security:
        - bearerAuth: []
      parameters:
        - name: Accept-Language
          in: header
          schema:
            type: string
          example: '{{language}}'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /officials-all:
    get:
      tags:
        - Social-service > officials
      summary: officials List
      security:
        - bearerAuth: []
      parameters:
        - name: Accept-Language
          in: header
          schema:
            type: string
          example: '{{language}}'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /officials:
    get:
      tags:
        - Social-service > officials
      summary: Officials recommend
      security:
        - bearerAuth: []
      parameters:
        - name: Accept-Language
          in: header
          schema:
            type: string
          example: '{{language}}'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /feeds/:
    post:
      tags:
        - Feed
      summary: Add post
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                type: discussion
                title: Test discussion
                description: Birds are a group of warm-blooded vertebrates constitutis.
      security:
        - bearerAuth: []
      parameters:
        - name: Accept-Language
          in: header
          schema:
            type: string
          example: '{{language}}'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
    get:
      tags:
        - Feed
      summary: Post list
      security:
        - bearerAuth: []
      parameters:
        - name: Accept-Language
          in: header
          schema:
            type: string
          example: '{{language}}'
        - name: type
          in: query
          schema:
            type: string
          description: post
          example: post
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /comments/react:
    post:
      tags:
        - Feed
      summary: CommentLike
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              properties:
                feedId:
                  type: integer
                  example: '3526072852709376'
                commentId:
                  type: integer
                  example: '7'
                parentId:
                  type: integer
                  example: '6'
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /feed/like-dislike/:
    post:
      tags:
        - Feed
      summary: feed-Like-dislike
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              properties:
                id:
                  type: integer
                  example: '3615073027063808'
                isLike:
                  type: integer
                  example: '1'
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /feed/hideUnhide/:
    post:
      tags:
        - Feed
      summary: feed-hide-unhide
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              properties:
                id:
                  type: integer
                  example: '3525953482440704'
                isHide:
                  type: integer
                  example: '1'
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /feed/saveUnsaved/:
    post:
      tags:
        - Feed
      summary: feed-saved-unsaved
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              properties:
                id:
                  type: integer
                  example: '3620883483709440'
                isSave:
                  type: integer
                  example: '1'
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /comments:
    post:
      tags:
        - Feed
      summary: makeComment
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              properties:
                comment:
                  type: string
                  example: nice
                feedId:
                  type: integer
                  example: '3612012395298816'
                parentId:
                  type: integer
                  example: '3'
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /feed/save:
    get:
      tags:
        - Feed
      summary: Saved feed list
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /feeds/3612012228395008:
    get:
      tags:
        - Feed
      summary: post details
      security:
        - bearerAuth: []
      parameters:
        - name: Accept-Language
          in: header
          schema:
            type: string
          example: '{{language}}'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
    delete:
      tags:
        - Feed
      summary: feed-delete
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /userFeeds/3611995802910720:
    get:
      tags:
        - Feed
      summary: Specific or self user post  for admin
      security:
        - bearerAuth: []
      parameters:
        - name: Accept-Language
          in: header
          schema:
            type: string
          example: '{{language}}'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /userFeeds/114:
    get:
      tags:
        - Feed
      summary: specificUser post list
      security:
        - bearerAuth: []
      parameters:
        - name: Accept-Language
          in: header
          schema:
            type: string
          example: '{{language}}'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /comments/3525934628052992:
    get:
      tags:
        - Feed
      summary: commentList
      security:
        - bearerAuth: []
      parameters:
        - name: Accept-Language
          in: header
          schema:
            type: string
          example: '{{language}}'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /feeds/3528265959137280:
    put:
      tags:
        - Feed
      summary: Admin update feed status
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              properties:
                status:
                  type: string
                  example: active
      security:
        - bearerAuth: []
      parameters:
        - name: Accept-Language
          in: header
          schema:
            type: string
          example: '{{language}}'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /feed/view:
    post:
      tags:
        - Feed
      summary: Feed view
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              properties:
                id:
                  type: integer
                  example: '3615073027063808'
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /feed/send/5456453564564556456:
    post:
      tags:
        - Feed
      summary: feed/send
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                message: >-
                  jhdbfkjdshfiudsfbdkjsfnhdsikfhjdlksfndslkfjdsfolidjsfkdjfodfsjdskjdsfjdsfljdsfoljdsfldsjflds
                userId: 3533534400212992
                client: website
                shareType: post
                reqData:
                  - othUserId: 3533322474237952
                    toUserRef: VKZ64KGsHIezJjLuGWFxud8odHk1
                    userRef: a2YAM6HiIRgmup9cZZfSLH6JU2m1
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /feed/share:
    post:
      tags:
        - Feed
      summary: feed/share
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                id: 3553978674884608
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /comments/1159:
    put:
      tags:
        - Feed
      summary: comment-update
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              properties:
                comment:
                  type: string
                  example: hyyyy
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
    delete:
      tags:
        - Feed
      summary: comment-delete
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /feedsCount/:
    get:
      tags:
        - Feed
      summary: Total Posts count
      security:
        - noauthAuth: []
      parameters:
        - name: type
          in: query
          schema:
            type: string
          example: active
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /notification:
    get:
      tags:
        - Notification
      summary: notificationList
      security:
        - bearerAuth: []
      parameters:
        - name: offset
          in: query
          schema:
            type: integer
          example: '0'
        - name: limit
          in: query
          schema:
            type: integer
          example: '10'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /notification/delete:
    delete:
      tags:
        - Notification
      summary: notification delete
      security:
        - bearerAuth: []
      parameters:
        - name: id
          in: query
          schema:
            type: integer
          example: '3532055307993088'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /notificationapi/notification/add:
    post:
      tags:
        - Notification
      summary: 'http://localhost:3000/notificationapi/notification/add '
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              properties:
                actionId:
                  type: integer
                  example: '3545110438227968'
                userIds:
                  type: integer
                  example: '3545113862483968'
                type:
                  type: string
                  example: connect_user
                message:
                  type: string
                  example: Lalit would like to connect you.
                title:
                  type: string
                  example: User Connection Activity
      parameters:
        - name: Accept-Language
          in: header
          schema:
            type: string
          example: '{{language}}'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /activity/:
    post:
      tags:
        - activity
      summary: add-activity
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              properties:
                title:
                  type: string
                  example: new work
                type:
                  type: string
                  example: question
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /activity:
    get:
      tags:
        - activity
      summary: activety-list
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /activity/3571196306419712:
    patch:
      tags:
        - activity
      summary: update-activity
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                title: step2
                status: inactive
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /activity/3573917409583104:
    get:
      tags:
        - activity
      summary: activity-detials
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /steps/1:
    get:
      tags:
        - userStep
      summary: Steps
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /login:
    post:
      tags:
        - subAdminChanges
      summary: Login
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                email: lalitkum@gmail.com
                password: qwerty
                deviceId: 1ece2209-92db-4a46-b0c8-75a8536025b9
                deviceType: web
                notificationId: b127b280-55e7-432d-acde-cf0d225f5f0a
                buildNumber: v1
                apiVersion: '2.3'
      parameters:
        - name: Accept-Language
          in: header
          schema:
            type: string
          example: '{{language}}'
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /users/setPermission:
    post:
      tags:
        - subAdminChanges
      summary: AdminsetPermission
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                roleName: studnentR123
                permissions:
                  - section: users
                    can_view: '1'
                    can_edit: '0'
                    can_delete: '0'
                    can_filter: '0'
                    can_search: '0'
                    can_assing: '1'
                    can_add: '1'
                    can_flagged: '1'
                  - section: events
                    can_view: '1'
                    can_edit: '1'
                    can_filter: '1'
                    can_search: '0'
                    can_assing: '1'
                    can_add: '1'
                    can_flagged: '1'
                  - section: questionnaires
                    can_view: '1'
                    can_edit: '1'
                    can_filter: '1'
                    can_search: '0'
                    can_assing: '1'
                    can_add: '1'
                    can_flagged: '1'
                  - section: topics
                    can_view: '1'
                    can_edit: '1'
                    can_filter: '1'
                    can_search: '0'
                    can_assing: '1'
                    can_add: '1'
                    can_flagged: '1'
                  - section: govt
                    can_view: '1'
                    can_edit: '1'
                    can_filter: '1'
                    can_search: '0'
                    can_assing: '1'
                    can_add: '1'
                    can_flagged: '1'
                  - section: post
                    can_view: '1'
                    can_edit: '1'
                    can_filter: '1'
                    can_search: '0'
                    can_assing: '1'
                    can_add: '1'
                    can_flagged: '1'
                  - section: discussion
                    can_view: '1'
                    can_edit: '1'
                    can_filter: '1'
                    can_search: '0'
                    can_assing: '1'
                    can_add: '1'
                    can_flagged: '1'
                  - section: resources
                    can_view: '1'
                    can_edit: '1'
                    can_filter: '1'
                    can_search: '0'
                    can_assing: '1'
                    can_add: '1'
                    can_flagged: '1'
                  - section: flagged
                    can_view: '1'
                    can_edit: '1'
                    can_filter: '1'
                    can_search: '0'
                    can_assing: '1'
                    can_add: '1'
                    can_flagged: '1'
                  - section: content
                    can_view: '1'
                    can_edit: '1'
                    can_filter: '1'
                    can_search: '0'
                    can_assing: '1'
                    can_add: '1'
                    can_flagged: '1'
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /users/setPermission/17:
    patch:
      tags:
        - subAdminChanges
      summary: updatePermission
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                roleName: studnent1
                status: inactive
                permissions:
                  - section: users
                    can_view: '1'
                    can_edit: '1'
                    can_delete: '1'
                    can_filter: '0'
                    can_search: '0'
                    can_assing: '1'
                    can_add: '1'
                    can_flagged: '1'
                  - section: events
                    can_view: '1'
                    can_edit: '1'
                    can_filter: '1'
                    can_search: '1'
                    can_assing: '1'
                    can_add: '1'
                    can_flagged: '1'
                  - section: questionnaires
                    can_view: '1'
                    can_edit: '1'
                    can_filter: '1'
                    can_search: '0'
                    can_assing: '1'
                    can_add: '1'
                    can_flagged: '1'
                  - section: topics
                    can_view: '1'
                    can_edit: '1'
                    can_filter: '1'
                    can_search: '0'
                    can_assing: '1'
                    can_add: '1'
                    can_flagged: '1'
                  - section: govt
                    can_view: '1'
                    can_edit: '1'
                    can_filter: '1'
                    can_search: '0'
                    can_assing: '1'
                    can_add: '1'
                    can_flagged: '1'
                  - section: post
                    can_view: '1'
                    can_edit: '1'
                    can_filter: '1'
                    can_search: '0'
                    can_assing: '1'
                    can_add: '1'
                    can_flagged: '1'
                  - section: discussion
                    can_view: '1'
                    can_edit: '1'
                    can_filter: '1'
                    can_search: '0'
                    can_assing: '1'
                    can_add: '1'
                    can_flagged: '1'
                  - section: resources
                    can_view: '1'
                    can_edit: '1'
                    can_filter: '1'
                    can_search: '0'
                    can_assing: '1'
                    can_add: '1'
                    can_flagged: '1'
                  - section: flagged
                    can_view: '1'
                    can_edit: '1'
                    can_filter: '1'
                    can_search: '0'
                    can_assing: '1'
                    can_add: '1'
                    can_flagged: '1'
                  - section: content
                    can_view: '1'
                    can_edit: '1'
                    can_filter: '1'
                    can_search: '0'
                    can_assing: '1'
                    can_add: '1'
                    can_flagged: '1'
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /users/adminUser:
    post:
      tags:
        - subAdminChanges
      summary: AdminUser
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                name: test29
                email: test29@gmail.com
                password: qwerty
                roleId: '8'
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /roleList:
    get:
      tags:
        - subAdminChanges
      summary: roleList
      security:
        - bearerAuth: []
      parameters:
        - name: status
          in: query
          schema:
            type: string
          example: active
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /users/adminUser/3616011836719104:
    patch:
      tags:
        - subAdminChanges
      summary: AdminUser-update
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                name: lkv
                roleId: '45'
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /role/15:
    patch:
      tags:
        - subAdminChanges
      summary: Role Status update
      requestBody:
        content: {}
      security:
        - bearerAuth: []
      parameters:
        - name: status
          in: query
          schema:
            type: string
          example: active
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /all/user/3608193927565312:
    put:
      tags:
        - subAdminChanges
      summary: UserProfileUpdate
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                status: active
                usertype: sponsor
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /3525729012314112:
    put:
      tags:
        - subAdminChanges
      summary: interest-update
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              properties:
                name:
                  type: string
                  example: painting
                rootId:
                  type: integer
                  example: '3525725508493312'
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
    delete:
      tags:
        - subAdminChanges
      summary: interest-delete
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /role/5:
    delete:
      tags:
        - subAdminChanges
      summary: Role_delete
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /role/8:
    get:
      tags:
        - subAdminChanges
      summary: roleDetails
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
  /saveContent:
    get:
      tags:
        - default
      summary: Saved Content
      security:
        - bearerAuth: []
      responses:
        '200':
          description: Successful response
          content:
            application/json: 
